Bug 253046 - Miro crashes with "An unknown error has occurred while finishing starting up" everytime after first run
Miro crashes with "An unknown error has occurred while finishing starting up"...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Miro (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Scherf
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-16 14:42 EDT by Jack Deslippe
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: Miro-0.9.9.9-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-17 01:20:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jack Deslippe 2007-08-16 14:42:54 EDT
Description of problem:

When I delete ~/.miro/ ~/.gconf/apps/miro AND restart my computer, and run miro
it works fine for the first run - asking me the usual first use questions. Then,
everytime afterwards I get the following error "An unknown error has occurred
while finishing starting up." and miro loads up as just a grey screen which I
have to kill from the command line. I should mention that I have another Fedora
7 machine where the same miro package seems to work just fine however... (so far
at least).

This error occurs no matter how I launch miro (command line, menu, file).  Here
is the crash report from the command line:

INFO ----- CRASH REPORT (DANGER CAN HAPPEN) -----
INFO App: Miro
Publisher: Participatory Culture Foundation
Platform: gtk-x11
Python: 2.5 (r25:51908, Apr 10 2007, 10:29:13)
[GCC 4.1.2 20070403 (Red Hat 4.1.2-8)]
Py Path: ['/usr/lib/python2.5/site-packages/miro', '/usr/bin',
'/usr/lib/python25.zip', '/usr/lib/python2.5', '/usr/lib/python2.5/plat-linux2',
'/usr/lib/python2.5/lib-tk', '/usr/lib/python2.5/lib-dynload',
'/usr/lib/python2.5/site-packages', '/usr/lib/python2.5/site-packages/Numeric',
'/usr/lib/python2.5/site-packages/PIL',
'/usr/lib/python2.5/site-packages/gst-0.10',
'/usr/lib/python2.5/site-packages/gtk-2.0']
Version: 0.9.8
Serial: 20070717000
Revision: unknown
Time: Mon Aug 13 15:34:21 2007
When: while finishing starting up

Exception
---------
Traceback (most recent call last):
File "/usr/lib/python2.5/site-packages/miro/app.py", line 713, in _finishStartup
self.videoDisplay.setVolume(config.get(prefs.VOLUME_LEVEL))
File
"/usr/lib/python2.5/site-packages/miro/frontend_implementation/VideoDisplay.py",
line 147, in setVolume
volumeScale = app.controller.frame.widgetTree['volume-scale']
AttributeError: MainFrame instance has no attribute 'widgetTree'

Call stack
----------
File "/usr/lib/python2.5/threading.py", line 460, in __bootstrap
self.run()
File "/usr/lib/python2.5/threading.py", line 440, in run
self.__target(*self.__args, **self.__kwargs)
File "/usr/lib/python2.5/site-packages/miro/eventloop.py", line 260, in loop
event()
File "/usr/lib/python2.5/site-packages/miro/eventloop.py", line 117, in
processNextIdle
dc.dispatch()
File "/usr/lib/python2.5/site-packages/miro/eventloop.py", line 49, in dispatch
util.trapCall(when, self.function, *self.args, **self.kwargs)
File "/usr/lib/python2.5/site-packages/miro/app.py", line 625, in <lambda>
eventloop.addIdle(lambda :self._finishStartup(gatheredVideos), "Finishing startup")
File "/usr/lib/python2.5/site-packages/miro/app.py", line 786, in _finishStartup
util.failedExn("while finishing starting up")
File "/usr/lib/python2.5/site-packages/miro/util.py", line 132, in failedExn
failed(when, withExn = True, **kwargs)

Threads
-------
Current: Event Loop
Active:
- MainThread
- Event Loop
- ThreadPool - 2 [Daemon]
- ThreadPool - 0 [Daemon]
- ThreadPool - 1 [Daemon]

INFO ----- END OF CRASH REPORT -----


Version-Release number of selected component (if applicable):
Miro-0.9.8.1-1.fc7

How reproducible:

remove ~/.miro/ ~/.gconf/apps/miro then reboot
run miro (it will work)
close miro
run it again (it will give the above error)
  
Actual results:
Miro chrashes evertime except the first run

Expected results:
To work like it does on my other computer

Additional info:
Comment 1 Alex Lancaster 2007-11-16 21:46:39 EST
Can you reproduce this bug with the latest Miro in F-7 which is 0.9.9.9? (yum
update)
Comment 2 Jack Deslippe 2007-11-17 00:15:24 EST
No, I have moved on to Fedora 8.  But I was using 0.9.9.1 from source on fedora
7 and it was working.  So, I think you can close this bug.  
Comment 3 Alex Lancaster 2007-11-17 00:59:50 EST
(In reply to comment #2)
> No, I have moved on to Fedora 8.  But I was using 0.9.9.1 from source on fedora
> 7 and it was working.  So, I think you can close this bug.  

Can you retest the Fedora 8 package for Miro then which is version 0.9.9.9?  If
that works, then I can close the bug.
Comment 4 Jack Deslippe 2007-11-17 01:10:21 EST
Using it now.  It works good.  Thanks for your hard work.
Comment 5 Alex Lancaster 2007-11-17 01:20:21 EST
Thanks.

Note You need to log in before you can comment on or make changes to this bug.